/* Page Layout */
  .top-header {
    height: 90px;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    border-bottom: 2px solid #03a8f0;
    z-index: 1000;
  }
  .top-header > .nav-container {
    background-color: white;
    position: relative;
    height: 100%;
    width: 100%;
  }
  .top-header .nav-brand {
    position: relative;
    height: 100%;
    display: inline-block;
    padding: 15px;
  }
  .nav-brand img {
    height: 100%;
  }
  .top-header .nav-links {
    list-style: none;
    padding: 15px;
    margin: 0;
    float: right;
    position: relative;
    height: 100%;
    display: flex;
    align-items: center;
  }
  .top-header .nav-links > li {
    display: inline-block;
    padding: 0px 20px;
    max-height: 100%;
  }
  .nav-links a {
    text-decoration: none;
    font-size: 18px;
  }
  .nav-links > li a {
    font-size: 15px;
  }
  #hub-page-wrapper {
    position: fixed;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    padding: 1rem;
  }

  @media print {
      body, html, #hub-page-wrapper {
        height: auto;
        width: 100%;
        left: 0;
        top: 0;
        overflow: scroll;
      }

      a {
        text-decoration: none !important;
      }

      .top-header {
        display: none;
      }
  }
  @media (min-width: 992px) {
    #backdrop {
      display: none !important;
    }
    #hub-page-wrapper {
      top: 90px;
      left: 18%;
      height: calc(100% - 90px);
      width: 82%;
    }
    .nav-links .sidebar {
      border-right: 1px solid rgba(0,0,0,0.08) !important;
    }
    .sidebar {
      margin-left: 0 !important;
    }
  }
  @media (max-width: 991.98px) {
    .top-header {
      height: 70px;
    }
    .top-header .nav-links > li {
      display: none;
    }
    .top-header .nav-brand {
      float: none;
      display: block;
      text-align: right;
    }
    .nav-brand img {
      display: inline-block;
    }
    #hub-page-wrapper {
      top: 70px;
      left: 0;
      height: calc(100% - 70px);
      width: 100%;
    }
  }
/* Page Layout Ends */

/* Hub Elements */
.btn-edit > i {
  margin: 8px 0px;
  display: none;
  font-size: 15px;
}
.form-row:hover .btn-edit > i {
  display: block;
}
.btn-edit-all {
  display: none;
}
@media (max-width: 991.98px) {
  .btn-edit i {
    display: none !important;
  }
  .btn-edit-all {
    display: block;
    float: right;
  }
}

/* Pages */
#logo-preview {
  max-height: 150px;
  max-width: 100%;
}
.add-new-field {
  display: block;
  width: 100%;
  background-color: white;
  box-shadow: none;
  border: 1px solid rgba(0,0,0,0.2);
  padding: 5px;
  color: black;
}
.sp-thumb-inner {
  top: -1px;
  right: -1px;
}
.sp-preview-inner {
  left: -1px;
  right: -1px;
  top: -1px;
  bottom: -1px;
}

.class-active-button {
  background-color: rgba(108,140,26,0.55);
  border: 1.5px solid rgba(108,140,26,0.55) !important;
  color: white;
  font-size: 0.8rem;
  border-radius: 0;
  box-sizing: border-box;
  min-width: 100%;
  padding: 7.5px 2px;
}
.class-inactive-button {
  background-color: #ffffff;
  border: 2px solid rgba(169,193,202,0.55) !important;
  color: #a9c1ca !important;
  font-size: 0.8rem;
  border-radius: 0;
  box-sizing: border-box;
  min-width: 100%;
  padding: 7px 2px;
}


.class-tab-active-button {
  background-color: rgba(108,140,26,0.55) ;
  border: 1.5px solid rgba(108,140,26,0.55);
  color: white;
  border-radius: 0;
  box-sizing: border-box;
}
.class-tab-inactive-button {
  background-color: #ffffff;
  border: 1px solid #a9c1ca;
  color: #519399;
  border-radius: 0;
  box-sizing: border-box;
}

.dragzone-dragula {
  width: 100%;
  min-height: 2.3rem;
}
.btn-draggable {
  margin: 2px;
}
.draggable-row {
  background-color: rgba(244,244,244,1);
  padding: 0.4rem;
  margin-bottom: 5px;
}
.draggable-row > .align-items-center {
  background-color: rgba(148,191,194,1);
  color: white;
  padding-left: 10px;
}
.ws-normal {
  white-space: normal;
}
.issue-table-row,
.return-table-row {
  padding: 0.25rem;
  border-bottom: 1px solid rgba(0,0,0,0.06);
}
.return-table-row.overdue {
  background-color: #ffe2e5;
}
@media (max-width: 991.98px) {
  .issue-table-header,
  .return-table-header {
    display: none !important;
  }
  .issue-table-row .book-title {
    font-weight: bold;
    font-size: 18px;
    float: left;
  }
  .issue-table-row .book-author {
    font-style: italic;
    float: left;
  }
  .issue-table-row .book-author::before {
    content: '- ';
  }
  .issue-table-row .book-accession {
    float: right;
  }
  .issue-table-row .book-accession::before {
    content: 'Accession #: ';
  }
  .issue-table-row [name="issuer_id"],
  .issue-table-row [name="return_date"] {
    margin-bottom: 10px;
  }
  .issue-table-row {
    background-color: rgba(0,0,0,0.03);
    border-radius: 5px;
    margin-bottom: 5px;
    padding: 10px 0px;
  }
  .return-table-row {
    background-color: rgba(0,0,0,0.02);
    margin-left: -30px;
    margin-right: -30px;
    border-radius: 5px;
    padding: 10px 0px;
  }
  .return-table-row .return-title {
    font-size: 18px;
    font-weight: bold;
    float: left;
  }
  .return-table-row .return-author {
    float: left;
    font-style: italic;
  }
  .return-table-row .return-author::before {
    content: '- ';
  }
  .return-table-row .return-accesion,
  .return-table-row [name="return_type"] {
    margin-bottom: 10px;
  }
  .return-table-row .return-accesion::before {
    content: 'Accession: ';
  }
}
.result-has-menu,
.result-has-menu * {
  cursor: pointer;
}
.result-has-menu.active {
  background-color: rgba(0,0,0,0.075);
}
.submenu-wrapper {
  display: none;
  background-color: rgba(0,0,0,0.03);
}
.submenu-wrapper .row {
  margin-left: 0;
  margin-right: 0;
  padding: 0.5rem 1rem;
  border-bottom: 1px solid rgba(0,0,0,0.05);
}
.book-details {
  margin-left: 0;
  margin-right: 0;
  padding: 1rem;
  border-bottom: 1px solid rgba(0,0,0,0.15);
}
.library-stats {
  padding: 0.5em;
  line-height: 1.5rem;
  height: 100%;
  overflow-wrap: break-word;
  word-wrap: break-word;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  -moz-hyphens: auto;
  hyphens: auto;
}
.library-stats span {
  font-size: 28px;
  font-weight: bold;
}
.library-options {
  height: 100%;
  overflow-wrap: break-word;
  word-wrap: break-word;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  -moz-hyphens: auto;
  hyphens: auto;
  font-size: 1.2rem;
}
.library-options:hover,
.library-options:active,
.library-options:focus {
  color: #17a2b8;
}
.librarian-schedule {
  width: 85%;
}

@media (max-width: 991.98px){
  .librarian-schedule {
    width: 90%;
  }
  .book-details {
    background-color: rgba(0,0,0,0.05);
  }
  .all-books-reason {
    font-weight: 700;
    font-size: 14px;
  }
  .all-books-authors{
    font-style: italic;
  }
}
.fine-collector {
  display: none;
}
.locality-row {
  border-bottom: 1px solid rgba(0,0,0,0.2);
  padding: 10px 0px;
  margin-left: 0;
  margin-right: 0;
}
.total-localities,
.total-busstops,
.total-routes {
  font-size: 20px;
  font-weight: lighter;
}
.locality-name,
.locality-distance,
.locality-stops,
.busstop-name,
.busstop-locality,
.busstop-distance{
  margin-bottom: 0;
}
.busstop-row {
  border-bottom: 1px solid rgba(0,0,0,0.2);
  padding: 10px 0px;
  margin-left: 0;
  margin-right: 0;
}
@media (max-width: 991.98px){
  .locality-name,
  .busstop-name,
  .route-name {
    font-weight: bold;
    margin-bottom: 10px;
  }
  .locality-distance,
  .locality-stops,
  .busstop-distance,
  .busstop-locality{
    margin-bottom: 10px;
  }
  .total-localities,
  .total-busstops,
  .total-routes {
    font-size: 16px;
  }
  .locality-stops::before {
    content: 'Bus Stops: ';
  }
  .busstop-locality::before {
    content: 'Locality: ';
  }
  .route-stop-count::before {
    content: 'Total Bus Stops: ';
  }
}
.float-add-button {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    z-index: 500;
}
.table-head {
  padding: 0.75rem;
  margin-top: 20px;
  margin-bottom: -20px;
  border-top: 1px solid #e4e4e4;
  border-bottom: 1px solid #e4e4e4;
}
.table-head * {
  font-size: 18px;
  font-weight: normal;
}
.table-body {
  padding: 0 0.75rem;
  margin-top: 20px;
  margin-bottom: 10px;
  border-top: 1px solid #e4e4e4;
}
.table-body>.row {
  padding: 0.75rem 0;
  border-bottom: 1px solid #e4e4e4;
}
.table-hover .table-body .row:hover {
  background-color: #f5f5f5;
}
@media (max-width: 991.98px) {
  .table-body>.row {
    background-color: #f5f5f5;
  }
  .table-body>.row>:first-child {
    font-weight: bold;
  }
  .table-body>.row>div {
    margin-bottom: 5px;
  }
  .table-hover .table-body .row:hover {
    background-color: #eaeaea;
  }
}
.card-image {
  height: 350px;
  max-height: 350px;
  background-size: cover;
  background-position: center center;
}
.website-icon {
  display: inline-block;
  margin-bottom: 0;
  border: 2px solid transparent;
  max-width: 50px;
  cursor: pointer;
}
.website-icon img{
  max-height: 100%;
  max-width: 100%;
  object-fit: cover;
}
.website-icon:hover,
.website-icon.selected {
  border: 2px solid #137dc5;
  padding: 0;
}
.panel-has-image {
  display: none;
}
.fix-bg-img{
  background-size: cover;
  background-position: center center;
}
.panel-image-preview {
  width: 100%;
  height: 250px;
  margin-bottom: 10px;
}
/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 45px;
  height: 21px;
  border-bottom: 0;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 15px;
  width: 15px;
  left: 3px;
  bottom: 2.75px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(24px);
  -ms-transform: translateX(24px);
  transform: translateX(24px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 20px;
}

.slider.round:before {
  border-radius: 50%;
}

.image-preview {
  height: 300px;
  width: 100%;
  object-fit: cover;
  object-position: center center;
}
#change-category-form {
  display: none;
}
.process-success {
  display: none;
  padding-top: 1rem;
}
.process-success p,
.small-paragraph p {
  font-size: 18px;
}
.library-fixed-top {
  position: fixed;
  top: 90px;
  padding-top: 15px;
  width: calc(100% - 315px);
  z-index: 10;
  background-color: white;
}
.fixed-alphabet-list {
  position: fixed;
  width: 6%;
  overflow: auto;
  height: calc(100% - 200px);
}
.fixed-alphabet-list::-webkit-scrollbar {
  display: none;
}
.fixed-all-books-table-row {
  position: fixed;
  background-color: white;
  z-index: 10;
  width: calc(89.25% - 275px);
  left: 303px;
  top: 130px;
}
@media (max-width: 991.98px){
  .library-fixed-top {
    top: 70px;
    width: calc(100% - 30px);
  }
}
.acceptor-dragula-container {
  min-height: 43px;
  overflow: hidden;
  border: 1px solid rgba(0,0,0,0.2);
  display: flex;
  justify-content: center;
}
.holiday-heading {
  background-color: rgba(0,0,0,0.05);
}
#search-teacher-list-right-div {
  position: absolute;
  min-height: 60vh;
  height: 100%;
  width: calc(100% - 30px);
  overflow: auto;
  padding: 0 1.5rem;
}
.mm-date-width {
  width: 33.3333%;
  display: inline-block;
}
@media only screen and (max-width: 991.98px){
  #search-teacher-list-right-div {
    position: relative;
  }
  .mm-date-width {
    width: 49%;
  }
}
.bootstrap-datetimepicker-widget {
  box-sizing: content-box;
}
.library-card-font {
  color: #999999;
  font-size: 1.2rem;
  line-height: 1.2;
  letter-spacing: -0.75px;
}
.library-book-overlay {
  position: absolute;
  height: 100%;
  width: calc(100% - 30px);
  left: 15px;
  top: 0;
  padding: 6% 8%;
}
.library-book-overlay .book-title,
.library-book-overlay .book-author{
  color: white;
}
.library-book-overlay .book-title{
  font-size: 2rem;
  font-weight: bold;
}
.library_tag{
  background-color: #0aa1dd;
}
.flex-look {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
}

